local Mouse = {};

-- 下注数据
Mouse.BetDatas = { 10000, 100000, 1000000, 10000000, 100000000 };

-- 下注数据
Mouse.EMoneyBetDatas = { 10, 30, 100, 300, 1000 };

-- 倍率文字
Mouse.RateText = {
    "x1.2", "x1.5", "x1.9", "x2.4", "x4.0", "x6.6", "x11", "x28", "x70", "x350" 
}

-- 重复次数
Mouse.Repeat = {
    10, 20, 50, 200, 500, 1000, -1
}

Mouse.GetRecommend = function(val, emoney)
    if val == nil then
        return 1;
    end

    if emoney then
        if val >= 0 and val < 1000 then
            return 1;
        elseif val >= 1000 and val < 10000 then
            return 2;
        elseif val >= 10000 and val < 100000 then
            return 3;
        elseif val >= 100000 and val < 1000000 then
            return 4;
        else
            return 5;
        end
    else
        if val >= 0 and val < 10000000 then
            return 1;
        elseif val >= 10000000 and val < 100000000 then
            return 2;
        elseif val >= 100000000 and val < 1000000000 then
            return 3;
        elseif val >= 1000000000 and val < 10000000000 then
            return 4;
        else
            return 5;
        end
    end
end

return Mouse;